Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core.vm.protocol
Class VMStackFrameResponse

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMResponse
          org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMStackFrameResponse

All Implemented Interfaces:
  java.io.Serializable

    public class VMStackFrameResponse

extends VMResponse

See Also:
  Serialized Form

Field Summary
`VMStackFrame[]` | `frames`
`boolean` | `isDeferredExecution`
`VMVariable[]` | `variables`

Fields inherited from class org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMResponse
`status, STATUS_ERROR, STATUS_OK`

Constructor Summary
`VMStackFrameResponse(VMStackFrame frame)`
`VMStackFrameResponse(VMStackFrame[] frames)`
`VMStackFrameResponse(VMVariable[] variables)`

Method Summary
`VMStackFrame` | `getFrame()`
`boolean` | `isDeferredExecution()`

Methods inherited from class org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMResponse
`createERROR, createOK, isOK, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### frames

    public final VMStackFrame[] frames

### variables

    public final VMVariable[] variables

### isDeferredExecution

    public boolean isDeferredExecution

Constructor Detail

### VMStackFrameResponse

    public VMStackFrameResponse(VMStackFrame frame)

### VMStackFrameResponse

    public VMStackFrameResponse(VMStackFrame[] frames)

### VMStackFrameResponse

    public VMStackFrameResponse(VMVariable[] variables)

Method Detail

### isDeferredExecution

    public boolean isDeferredExecution()

### getFrame

    public VMStackFrame getFrame()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD